# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.contacts
Enum Jot.Rel

    java.lang.Object
      java.lang.Enum<Jot.Rel>
          com.google.gdata.data.contacts.Jot.Rel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Jot.Rel>

Enclosing class:
  Jot

    public static enum Jot.Rel

extends java.lang.Enum<Jot.Rel>

Jot type.

Enum Constant Summary
`HOME` Home jot.
`KEYWORDS` Keywords jot.
`OTHER` Other jot.
`USER` User jot.
`WORK` Work jot.

Method Summary
`static Jot.Rel` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Jot.Rel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HOME

    public static final Jot.Rel HOME

  Home jot.

### KEYWORDS

    public static final Jot.Rel KEYWORDS

  Keywords jot.

### OTHER

    public static final Jot.Rel OTHER

  Other jot.

### USER

    public static final Jot.Rel USER

  User jot.

### WORK

    public static final Jot.Rel WORK

  Work jot.

Method Detail

### values

    public static Jot.Rel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Jot.Rel c : Jot.Rel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Jot.Rel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null